package cn.com.qmth.examcloud.core.basic.api.client;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.web.client.RestTemplate;

import cn.com.qmth.examcloud.core.basic.api.StudentCloudService;
import cn.com.qmth.examcloud.core.basic.api.request.GetStudentReq;
import cn.com.qmth.examcloud.core.basic.api.request.InsertOrUpdateStudentReq;
import cn.com.qmth.examcloud.core.basic.api.response.GetStudentResp;
import cn.com.qmth.examcloud.core.basic.api.response.InsertOrUpdateStudentResp;

@Service
public class StudentCloudServiceClient extends BasicCloudClientSupport
		implements
			StudentCloudService {

	private static final long serialVersionUID = 7669672850482842766L;

	@Autowired
	private RestTemplate restTemplate;

	@Override
	protected RestTemplate getRestTemplate() {
		return restTemplate;
	}

	@Override
	public InsertOrUpdateStudentResp insertOrUpdateStudent(InsertOrUpdateStudentReq studentReq) {
		return post("student/insertOrUpdateStudent", studentReq, InsertOrUpdateStudentResp.class);
	}

	@Override
	public GetStudentResp getStudent(GetStudentReq req) {
		return post("student/getStudent", req, GetStudentResp.class);
	}

}
