package cn.com.qmth.examcloud.core.basic.dao.entity;

import java.util.Date;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;
import javax.persistence.OneToOne;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;

import org.springframework.format.annotation.DateTimeFormat;

import cn.com.qmth.examcloud.commons.web.cloud.api.JsonSerializable;

@Entity
@Table(name = "ecs_core_student_face_info")
public class StudentFaceInfo implements JsonSerializable {

	private static final long serialVersionUID = -4192537584889662390L;

	@Id
	@GeneratedValue
	private Long id;
	
	@OneToOne
	private Student student;

	private String faceToken;

	private String faceSetToken;
	
	private String photoMD5;
	/**
	 * 创建时间
	 */
	@Temporal(value = TemporalType.TIMESTAMP)
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date createTime;
	/**
	 * 创建人
	 */
	private String createUser;
	/**
	 * 更新时间
	 */
	@Temporal(value = TemporalType.TIMESTAMP)
	@DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
	private Date updateTime;
	/**
	 * 更新人
	 */
	private String updateUser;
	/**
	 * 创建方式
	 * 接口-单个
	 * 接口-ZIP批量
	 * 照片上传工具
	 */
	private String createType;
	
	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public Student getStudent() {
		return student;
	}

	public void setStudent(Student student) {
		this.student = student;
	}

	public String getFaceToken() {
		return faceToken;
	}

	public void setFaceToken(String faceToken) {
		this.faceToken = faceToken;
	}

	public String getFaceSetToken() {
		return faceSetToken;
	}

	public void setFaceSetToken(String faceSetToken) {
		this.faceSetToken = faceSetToken;
	}

	public String getPhotoMD5() {
		return photoMD5;
	}

	public void setPhotoMD5(String photoMD5) {
		this.photoMD5 = photoMD5;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public StudentFaceInfo() {}

	public String getCreateUser() {
		return createUser;
	}

	public void setCreateUser(String createUser) {
		this.createUser = createUser;
	}

	public String getUpdateUser() {
		return updateUser;
	}

	public void setUpdateUser(String updateUser) {
		this.updateUser = updateUser;
	}

	public String getCreateType() {
		return createType;
	}

	public void setCreateType(String createType) {
		this.createType = createType;
	}
	
	
}
